Subject: bug#51262: [PATCH] Don't use color escape sequences in `vc-git-expanded-log-entry'

From: Stefan Kangas <[email-masked]>
Date: Tue, 19 Oct 2021 01:33:56 -0700

Jan Synáček <[email-masked]> writes:

> Sure. Sorry for not doing it earlier. For some reason, I assumed that this was
> obvious.

Thanks.

> Here's the reproducer (built from the latest commit on the emacs-28 branch):

(I just used the emacs.git repository here.)

>   7) emacs -Q
>   8) <run shell and cd /tmp/test>
>   9) <execute C-x v L>
>   10) <hit RET on the first commit>
>
> This is what I see on my system (I hope that gmail doesn't remove the escapes):
>
> *  (HEAD -> master)520684e..: Jan Synacek 2021-10-19 first commit
>  ^[[33mcommit 520684e773918234874a35738b094ca39b63a822^[ [m
> Author: Jan Synacek <[email-masked]>
> Date:   Tue Oct 19 10:04:02 2021 +0200
>
>   first commit

Here, I actually see the colours, and no escape sequences.

The question is what is different in our setups.  Could you post the
output of M-x report-emacs-bug?  Is there anything in your ~/.gitconfig
that could be causing this?

> It might be dependent on git configuration, but I think it's safe to assume that
> there might be escape sequences and simply use --no-color. And that's what
> my patch does.

I agree that you shouldn't need to see those escape sequences, but it
would be better if we could narrow it down so we don't have to remove
colours for everyone.  The first step is to try to figure out what it is
that makes you see control sequences where I get colours.